Click or drag to resize
RhinoObjectMeshObjects Method (IEnumerableRhinoObject, MeshingParameters, Mesh, ObjectAttributes)
Mesh Rhino Objects

Namespace: Rhino.DocObjects
Assembly: RhinoCommon (in RhinoCommon.dll) Version: Rhino 6.0
Syntax
public static Result MeshObjects(
	IEnumerable<RhinoObject> rhinoObjects,
	MeshingParameters parameters,
	out Mesh[] meshes,
	out ObjectAttributes[] attributes
)

Parameters

rhinoObjects
Type: System.Collections.GenericIEnumerableRhinoObject
Objects to mesh
parameters
Type: Rhino.GeometryMeshingParameters
The parameters used to create the meshes
meshes
Type: Rhino.GeometryMesh

[Missing <param name="meshes"/> documentation for "M:Rhino.DocObjects.RhinoObject.MeshObjects(System.Collections.Generic.IEnumerable{Rhino.DocObjects.RhinoObject},Rhino.Geometry.MeshingParameters,Rhino.Geometry.Mesh[]@,Rhino.DocObjects.ObjectAttributes[]@)"]

attributes
Type: Rhino.DocObjectsObjectAttributes

[Missing <param name="attributes"/> documentation for "M:Rhino.DocObjects.RhinoObject.MeshObjects(System.Collections.Generic.IEnumerable{Rhino.DocObjects.RhinoObject},Rhino.Geometry.MeshingParameters,Rhino.Geometry.Mesh[]@,Rhino.DocObjects.ObjectAttributes[]@)"]

Return Value

Type: Result

[Missing <returns> documentation for "M:Rhino.DocObjects.RhinoObject.MeshObjects(System.Collections.Generic.IEnumerable{Rhino.DocObjects.RhinoObject},Rhino.Geometry.MeshingParameters,Rhino.Geometry.Mesh[]@,Rhino.DocObjects.ObjectAttributes[]@)"]

See Also